Returns project roles in the workspace.

GEThttps://api.awork.com/api/v1/projectroles
GET https://api.awork.com/api/v1/projectroles

Returns project roles in the workspace. Set includeMembers to include each role's members.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

includeMembersbooleanOptional
Default: true

Whether to include the members of each project role in the response.

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

namestringRequired
minLength: 0 maxLength: 255

The name of the project role. Required.

isDefaultboolean or nullOptional

Whether to use this role as default when adding new project members.

defaultProjectRoleIdstring or nullOptional
format: uuid

The id of the new default project role. Required if the updated project role is the current default role.

allowOnlyProjectMasterDataReadbooleanOptional

Whether this role is allowed to have only read permissions for project-master-data.

idstringOptional
format: uuid

The id of the project role.

memberCountintegerOptional
format: int32

The count of members which are linked to this role.

membersarray of object or nullOptional

The members which are linked to this role.

Show 10 properties
idstringOptional
format: uuid

The id of the project member entity.

userIdstringOptional
format: uuid

The id of the user who is this project member.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The project role of the project member.

projectRoleNamestring or nullOptional

The project role name of the project member.

isResponsiblebooleanOptional

Whether the user is responsible for this project.

isDeactivatedbooleanOptional

Whether the user is deactivated.

isExternalbooleanOptional

True if this entity is coming from an external workspace (awork Connect).

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

Search documentation